package com.citygis.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author shcd
 * @since 2024-09-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("CDC_DRAW_LINES")
@ApiModel(value="CdcDrawLines对象", description="")
public class CdcDrawLines implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "时间")
    private String date;

    @ApiModelProperty(value = "x")
    private Double x;

    @ApiModelProperty(value = "y")
    private Double y;

    @ApiModelProperty(value = "描述")
    private String described;

    @ApiModelProperty(value = "名称")
    private String name;


}
