package com.citygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.citygis.domain.CdcTbCrbbgk;
import com.citygis.domain.TimeBase;
import com.citygis.domain.dto.Area;
import com.citygis.domain.dto.AreaData;
import com.citygis.domain.dto.HistogramDto;
import com.citygis.domain.dto.XYDto;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author shcd
 * @since 2024-09-19
 */
public interface CdcTbCrbbgkMapper extends BaseMapper<CdcTbCrbbgk> {

    List<HistogramDto> getHistogramData();

    List<AreaData> getDataByArea();

    List<Area> getArea();

    List<XYDto> crbSD(TimeBase timeBase);

    List<XYDto> frSD(TimeBase timeBase);

    List<XYDto> fzSD(TimeBase timeBase);

    List<XYDto> gmSD(TimeBase timeBase);
}
